summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorMåns Rullgård <mans@mansr.com>2010-07-09 23:55:16 +0000
committerMåns Rullgård <mans@mansr.com>2010-07-09 23:55:16 +0000
commit150ef830f5dba1fc6752ab5fb00d0b9182a064cc (patch)
tree1591421bd03320e7e88902255007c53aadc2c69b /tests
parent34ae2d90e00564a0b88b9d9ae4b5135b0099f051 (diff)
fate: fail with a sensible error message if reference file is missing
Originally committed as revision 24152 to svn://svn.ffmpeg.org/ffmpeg/trunk
Diffstat (limited to 'tests')
-rwxr-xr-xtests/fate-run.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index bf62805414..ba5d09d233 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -24,6 +24,11 @@ oneoff(){
fi
}
+if ! test -e "$ref"; then
+ echo "reference file '$ref' not found"
+ exit 1
+fi
+
mkdir -p "$outdir"
eval $target_exec $command > "$outfile" 2>/dev/null || exit